#!/bin/sh

if [ $# -lt 2 ]; then
  echo "USAGE: $( basename $0 ) <time> <GSM-file>" 1>&2
  exit 1
fi

[ -e /etc/aumixrc ] && aumix -L > /dev/null 2>&1

wavrec -l
wavrec -M -b 16 -s 11025 -t $1 /dev/stdout 2>/dev/null |
  buffer | wav2gsm > "$2"
wavrec -u
